E2IMAGE(8)

NOM
e2image — Sauvegarder dans un fichier les métadonnées critiques de systèmes de fichiers ext2/ext3/ext4

SYNOPSIS
e2image [-r|-Q [-af]] [ -b superbloc ] [ -B taille_bloc ] [ -cnps ] [ -o décalage_src ] [ -O décalage_dest ] device fichier_image
e2image -I périphérique fichier_image

DESCRIPTION
Le programme e2image permet de sauvegarder dans le fichier fichier_image les métadonnées critiques de systèmes de fichiers ext2, ext3 ou ext4 situés dans périphérique dans un fichier spécifié par fichier_image. Le fichier image peut être examiné par dumpe2fs et debugfs, en utilisant leur option -i. Cela peut permettre à un expert de récupérer un système de fichiers endommagé.

C'est une très bonne idée de créer régulièrement des fichiers image pour tous les systèmes de fichiers d'un système et de sauvegarder régulièrement la structure des partitions (en utilisant la commande fdisk -l), par exemple à chaque démarrage ou toutes les semaines. Le fichier image doit être stocké sur un autre système de fichiers que celui dont les données sont extraites, pour s'assurer que ces données seront disponibles dans le cas où le système de fichiers serait endommagé.

Pour économiser de l'espace disque, e2image crée l'image comme un fichier creux ou au format QCOW2. De ce fait, si le fichier doit être copié ailleurs, il doit être soit compressé préalablement, soit copié en utilisant l'option --sparse=always de la version GNU de cp(1). Cela ne s'applique pas aux images QCOW2, qui ne sont pas creuses.

La taille d'un fichier image ext2 dépend principalement de la taille du système de fichiers et du nombre d'inœuds utilisés. Sur un système typique de 10 gigaoctets, avec 200 000 inœuds utilisés sur 1,2 millions d'inœuds, la taille du fichier image sera d'environ 35 mégaoctets ; un système de fichiers de 4 gigaoctets avec 15 000 inœuds utilisés sur 550 000 donnera un fichier image de 3 mégaoctets. Les fichiers image ont tendance à pouvoir être compressés facilement ; une image prenant 32 mégaoctets sur le disque pourra généralement être compressée en un fichier de 3 ou 4 mégaoctets.

Si fichier_image vaut -, la sortie de e2image sera envoyée sur la sortie standard et pourra donc être redirigée vers un autre programme, comme gzip(1). Remarquez que ce n'est actuellement géré que lors de la création d'une image brute en utilisant l'option -r car il est nécessaire de pouvoir accéder aléatoirement dans le fichier pour créer une image normale ou une image QCOW2, ce qui n'est pas possible avec un enchaînement (pipe).

OPTIONS

-a  Inclure les données de fichier dans le fichier image. Normalement, e2image inclut les métadonnées de système de fichiers, pas les données de fichier ordinaire. Cette option produit une image adaptée pour un clonage de système de fichiers entier ou pour des sauvegardes. Il est à remarquer que cette option fonctionne seulement avec les formats bruts (-r) ou QCOW2 (-Q). En conjonction avec l’option -r, il est possible de cloner tous les blocs utilisés, et seulement ceux-ci, d’un système de fichiers vers un autre fichier de périphérique/image.

-b superbloc
    Obtenir l’image d’une partition avec le superbloc primaire cassé en utilisant le superbloc situé au numéro de bloc superbloc du système de fichiers. La partition est copiée telle quelle, incluant le superbloc primaire cassé.

-B taille_bloc
    Définir la taille de bloc du système de fichiers en octet. Normalement, e2fsck recherchera le superbloc pour des tailles de bloc différentes dans le but de déterminer la taille appropriée des blocs. Cette recherche peut mener à des résultats erronés dans certains cas. Cette option force e2fsck à n'essayer de localiser le superbloc que pour une taille de bloc particulière. Si le superbloc reste introuvable, e2image quittera avec une erreur fatale.

-c  Comparer chaque bloc à copier à partir de la source périphérique vers le bloc correspondant dans la cible fichier_image. Si les deux sont déjà identiques, l’écriture sera ignorée. Cela est utile si le système de fichiers est en cours de clonage vers un périphérique de stockage de type flash (où les lectures sont très rapides et où il est souhaitable d’éviter des écritures non nécessaires pour éviter l’usure d’écriture sur le périphérique).

-f  Outrepasser l’exigence d’écriture seule pour le système de fichiers source lors de la sauvegarde du fichier image en utilisant les options -r et -Q. Normalement, si le système de fichiers est en cours d’utilisation, le fichier image qui en résulte a beaucoup de chances de ne pas être utile. Dans certains cas où le système de fichiers est utilisé constamment, cela peut être préférable que pas d’image du tout.

-I  Installer sur le périphérique les métadonnées enregistrées dans le fichier image. Elle permet de restaurer les métadonnées d'un système de fichiers sur le périphérique en cas de nécessité.

ATTENTION !!!! L'option -I ne devrait être utilisée que dans les cas désespérés où toutes les autres alternatives ont échoué. Si le système de fichiers a été modifié depuis la création du fichier image, des données seront perdues. En général, il est prudent de faire une image de sauvegarde complète du système de fichiers, dans le cas où vous souhaiteriez essayer une autre méthode de récupération par la suite.

-n  Faire que toutes les écritures d’image soient omises et, à la place, afficher les numéros de bloc qui seraient écrits.

-o src_offset
    Indiquer le décalage de l’image à lire à partir du début du périphérique source en octet. Consulter OFFSETS pour davantage de détails.

-O tgt_offset
    Indiquer le décalage de l’image à écrire à partir du début du fichier_image cible en octet. Consulter OFFSETS pour davantage de détails.

-p  Afficher la progression de la création du fichier image.

-Q  Créer un fichier image au format QCOW2 au lieu d’un fichier image ordinaire adapté pour une utilisation dans des images de machine virtuelle et pour d’autres outils pouvant utiliser le format .qcow. Consulter FICHIERS IMAGE QCOW2 ci-dessous pour davantage de détails.

-r  Créer un fichier image brut au lieu d’un fichier image ordinaire. Consulter FICHIERS IMAGE BRUTS pour davantage de détails.

-s  Brouiller les entrées de répertoire et remplir de zéros les portions non utilisées des blocs de répertoires dans le fichier écrit pour éviter de révéler des informations sur le contenu du système de fichiers. Toutefois, cela empêchera l’analyse de problèmes concernant les répertoires indexés par l’arbre de hachages.

FICHIERS IMAGE BRUTS
L'option -r permet de créer un fichier image brut qui diffère d’un fichier image ordinaire de deux façons. Premièrement, les métadonnées du système de fichiers sont placées aux mêmes positions relatives dans fichier_image que celles dans périphérique de telle sorte que debugfs(8), dumpe2fs(8), e2fsck(8), losetup(8), etc., peuvent fonctionner directement sur le fichier image brut. Afin de minimiser l'espace disque utilisé par le fichier image brut, le fichier est créé comme un fichier creux. Faites attention lors des copies, compression ou décompression de ce fichier avec des outils qui ne sauraient pas créer des fichiers creux ; le fichier prendrait autant de place que le système de fichiers lui-même ! Deuxièmement, le fichier image brut inclut également les blocs indirects ou les blocs de répertoires, ce que les fichiers images normaux n'ont pas.

Les images brutes sont parfois utilisées pour l'envoi de systèmes de fichiers en accompagnement d'un rapport de bogue pour e2fsprogs. Pour cela, il est recommandé de procéder de la façon suivante (remplacez hda1 par le périphérique approprié pour votre système) :

  e2image -r /dev/hda1 - | bzip2 > hda1.e2i.bz2

Cela n'enverra que les informations sur les métadonnées, sans les blocs de données. Cependant les noms de fichiers dans les blocs des répertoires peuvent toujours révéler des informations sur le contenu du système de fichiers que l'auteur du rapport de bogue peut vouloir garder confidentielles. Pour éviter ce problème, l'option -s peut être utilisée pour brouiller les noms de fichier dans l’image.

Remarquez que cela fonctionnera également si vous remplacez /dev/hda1 par une autre image disque brute, ou une image QCOW2 créée au préalable par e2image.

FICHIERS IMAGES QCOW2
L'option -Q va créer un fichier image QCOW2 au lieu d'un fichier image normal ou brut. Une image QCOW2 contient autant d'informations qu'une image brute, mais contrairement à cette dernière, elle n'est pas creuse. L'image QCOW2 minimise l'espace disque utilisé en stockant les données dans un format spécial, en tassant les paquets de données, afin d'éviter les trous tout en minimisant la taille.

Afin d'envoyer un système de fichiers au responsable en accompagnement d'un rapport de bogue pour e2fsprogs, veuillez procéder de la façon suivante (remplacez hda1 par le périphérique approprié pour votre système) :

    e2image -Q /dev/hda1 hda1.qcow2
    bzip2 -z hda1.qcow2

Cela n'enverra que les informations sur les métadonnées, sans les blocs de données. Comme décrit pour RAW IMAGE FILES, l’option -s peut être indiquée pour brouiller les noms de système de fichiers dans l’image.

Remarquez qu'une image QCOW2 créée par e2image est une image QCOW2 normale, qui peut donc être traitée par des outils pouvant manipuler le format QCOW2, tels que qemu-img, par exemple.

Vous pouvez convertir une image .qcow2 en une image brute avec :

    e2image -r hda1.qcow2 hda1.raw

Il peut être utile d'écrire une image QCOW2 contenant toutes les données sur un fichier image creux qui pourra être monté comme un périphérique boucle (« loop ») ou sur une partition de disque. Veuillez noter que cela peut ne pas fonctionner avec les images QCOW2 créées avec un autre outil que e2image.

DÉCALAGES
Normalement, un système de fichiers démarre au début de la partition, et e2image est exécuté sur la partition. Lorsqu'on travaille avec des fichiers images, il n'est pas possible d'utiliser de partition. Vous pouvez préciser le décalage à partir duquel le système de fichiers commence directement avec l'option -o. De même, l'option -O précise le décalage qui devrait être laissé sur la destination avant d'écrire le système de fichiers.

Par exemple, si vous avez une image dd sur un disque dur entier qui contient un système de fichiers ext2 dans une partition qui commence à 1 Mo, vous pouvez cloner cette image sur un périphérique en mode bloc avec :

    e2image -aro 1048576 img /dev/sda1

Ou vous pouvez cloner un système de fichiers d’un périphérique en mode bloc dans un fichier image, en laissant le premier Mo disponible pour une table de partitions avec :

    e2image -arO 1048576 /dev/sda1 img

Si vous précisez au moins un décalage et seulement un fichier, un mouvement in situ sera effectué, ce qui vous permet de déplacer le système de fichiers d'un décalage à l'autre.

AUTEUR
e2image a été écrit par Theodore Ts'o (tytso@mit.edu).

DISPONIBILITÉ
e2image fait partie du paquet e2fsprogs et est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
dumpe2fs(8), debugfs(8), e2fsck(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.